Index: XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 501)
+++ XIOS/trunk/src/interface/fortran_attr/igridgroup_attr.F90	(revision 546)
@@ -12,12 +12,11 @@
   
   SUBROUTINE xios(set_gridgroup_attr)  &
-    ( gridgroup_id, axis_ref, description, domain_ref, group_ref, mask, name )
+    ( gridgroup_id, axisDomOrder, description, group_ref, mask, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+      INTEGER  , OPTIONAL, INTENT(IN) :: axisDomOrder(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask(:,:,:)
@@ -27,16 +26,15 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(set_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(set_gridgroup_attr)
   
   SUBROUTINE xios(set_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref
+    ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: axisDomOrder(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask(:,:,:)
@@ -45,16 +43,15 @@
       
       CALL xios(set_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(set_gridgroup_attr_hdl)
   
   SUBROUTINE xios(set_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axis_ref_, description_, domain_ref_, group_ref_, mask_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: axis_ref_
+    ( gridgroup_hdl, axisDomOrder_, description_, group_ref_, mask_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      INTEGER  , OPTIONAL, INTENT(IN) :: axisDomOrder_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: description_
-      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: domain_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: group_ref_
       LOGICAL  , OPTIONAL, INTENT(IN) :: mask_(:,:,:)
@@ -62,14 +59,10 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: name_
       
-      IF (PRESENT(axis_ref_)) THEN
-        CALL cxios_set_gridgroup_axis_ref(gridgroup_hdl%daddr, axis_ref_, len(axis_ref_))
+      IF (PRESENT(axisDomOrder_)) THEN
+        CALL cxios_set_gridgroup_axisDomOrder(gridgroup_hdl%daddr, axisDomOrder_,size(axisDomOrder_,1))
       ENDIF
       
       IF (PRESENT(description_)) THEN
         CALL cxios_set_gridgroup_description(gridgroup_hdl%daddr, description_, len(description_))
-      ENDIF
-      
-      IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_set_gridgroup_domain_ref(gridgroup_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
       
@@ -93,12 +86,11 @@
   
   SUBROUTINE xios(get_gridgroup_attr)  &
-    ( gridgroup_id, axis_ref, description, domain_ref, group_ref, mask, name )
+    ( gridgroup_id, axisDomOrder, description, group_ref, mask, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+      INTEGER  , OPTIONAL, INTENT(OUT) :: axisDomOrder(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask(:,:,:)
@@ -108,16 +100,15 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(get_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(get_gridgroup_attr)
   
   SUBROUTINE xios(get_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref
+    ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: axisDomOrder(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask(:,:,:)
@@ -126,16 +117,15 @@
       
       CALL xios(get_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(get_gridgroup_attr_hdl)
   
   SUBROUTINE xios(get_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axis_ref_, description_, domain_ref_, group_ref_, mask_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: axis_ref_
+    ( gridgroup_hdl, axisDomOrder_, description_, group_ref_, mask_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      INTEGER  , OPTIONAL, INTENT(OUT) :: axisDomOrder_(:)
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: description_
-      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: domain_ref_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL  , OPTIONAL, INTENT(OUT) :: mask_(:,:,:)
@@ -143,14 +133,10 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: name_
       
-      IF (PRESENT(axis_ref_)) THEN
-        CALL cxios_get_gridgroup_axis_ref(gridgroup_hdl%daddr, axis_ref_, len(axis_ref_))
+      IF (PRESENT(axisDomOrder_)) THEN
+        CALL cxios_get_gridgroup_axisDomOrder(gridgroup_hdl%daddr, axisDomOrder_,size(axisDomOrder_,1))
       ENDIF
       
       IF (PRESENT(description_)) THEN
         CALL cxios_get_gridgroup_description(gridgroup_hdl%daddr, description_, len(description_))
-      ENDIF
-      
-      IF (PRESENT(domain_ref_)) THEN
-        CALL cxios_get_gridgroup_domain_ref(gridgroup_hdl%daddr, domain_ref_, len(domain_ref_))
       ENDIF
       
@@ -174,15 +160,13 @@
   
   SUBROUTINE xios(is_defined_gridgroup_attr)  &
-    ( gridgroup_id, axis_ref, description, domain_ref, group_ref, mask, name )
+    ( gridgroup_id, axisDomOrder, description, group_ref, mask, name )
     
     IMPLICIT NONE
       TYPE(txios(gridgroup))  :: gridgroup_hdl
       CHARACTER(LEN=*), INTENT(IN) ::gridgroup_id
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
-      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomOrder
+      LOGICAL(KIND=C_BOOL) :: axisDomOrder_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
-      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -194,19 +178,17 @@
       CALL xios(get_gridgroup_handle)(gridgroup_id,gridgroup_hdl)
       CALL xios(is_defined_gridgroup_attr_hdl_)   &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(is_defined_gridgroup_attr)
   
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl)  &
-    ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref
-      LOGICAL(KIND=C_BOOL) :: axis_ref_tmp
+    ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomOrder
+      LOGICAL(KIND=C_BOOL) :: axisDomOrder_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description
       LOGICAL(KIND=C_BOOL) :: description_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref
-      LOGICAL(KIND=C_BOOL) :: domain_ref_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref
       LOGICAL(KIND=C_BOOL) :: group_ref_tmp
@@ -217,19 +199,17 @@
       
       CALL xios(is_defined_gridgroup_attr_hdl_)  &
-      ( gridgroup_hdl, axis_ref, description, domain_ref, group_ref, mask, name )
+      ( gridgroup_hdl, axisDomOrder, description, group_ref, mask, name )
     
   END SUBROUTINE xios(is_defined_gridgroup_attr_hdl)
   
   SUBROUTINE xios(is_defined_gridgroup_attr_hdl_)   &
-    ( gridgroup_hdl, axis_ref_, description_, domain_ref_, group_ref_, mask_, name_ )
-    
-    IMPLICIT NONE
-      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
-      LOGICAL, OPTIONAL, INTENT(OUT) :: axis_ref_
-      LOGICAL(KIND=C_BOOL) :: axis_ref__tmp
+    ( gridgroup_hdl, axisDomOrder_, description_, group_ref_, mask_, name_ )
+    
+    IMPLICIT NONE
+      TYPE(txios(gridgroup)) , INTENT(IN) :: gridgroup_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: axisDomOrder_
+      LOGICAL(KIND=C_BOOL) :: axisDomOrder__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: description_
       LOGICAL(KIND=C_BOOL) :: description__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: domain_ref_
-      LOGICAL(KIND=C_BOOL) :: domain_ref__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: group_ref_
       LOGICAL(KIND=C_BOOL) :: group_ref__tmp
@@ -239,7 +219,7 @@
       LOGICAL(KIND=C_BOOL) :: name__tmp
       
-      IF (PRESENT(axis_ref_)) THEN
-        axis_ref__tmp=cxios_is_defined_gridgroup_axis_ref(gridgroup_hdl%daddr)
-        axis_ref_=axis_ref__tmp
+      IF (PRESENT(axisDomOrder_)) THEN
+        axisDomOrder__tmp=cxios_is_defined_gridgroup_axisDomOrder(gridgroup_hdl%daddr)
+        axisDomOrder_=axisDomOrder__tmp
       ENDIF
       
@@ -249,9 +229,4 @@
       ENDIF
       
-      IF (PRESENT(domain_ref_)) THEN
-        domain_ref__tmp=cxios_is_defined_gridgroup_domain_ref(gridgroup_hdl%daddr)
-        domain_ref_=domain_ref__tmp
-      ENDIF
-      
       IF (PRESENT(group_ref_)) THEN
         group_ref__tmp=cxios_is_defined_gridgroup_group_ref(gridgroup_hdl%daddr)
